# coding: latin-1
"""
Diese Datei ist Teil der Stifte-und-Muse-Portierung fr Python,
entstanden im Rahmen der Diplomarbeit von Ingo Linkweiler,
verfentlicht unter der Creative Commons Lizenz by-nc-sa,
naehere Informationen dazu unter
http://creativecommons.org/licenses/by-nc-sa/3.0/de/.

 Erste Version: 21.01.2002 - 17.02.2002
 Autor: i.linkweiler@gmx.de

 Dieses Modul importiert alle notwendigen Klassen
 und fhrt -- als Script ausgefhrt -- einige Tests durch.
"""

# Importiere benutze Module

from bildschirm import *
from buntstift import *
from stift import *
from maus import *
from tastatur import *
from sprite import *
from grafikzeichner import *
 
################################################################################
# TESTPROGRAMM !
################################################################################
        
def main():
    bild=Bildschirm()
    maus=Maus()
    tast=Tastatur()
    stift=Stift()
    stift.bewegeBis(120,20)
    stift.runter()
    stift.schreibe("Malen mit der Maus...")

    while not maus.doppelKlick():
      if tast.wurdeGedrueckt():
        eingabe=tast.zeichen()
        stift.schreibe(eingabe)
      if maus.istGedrueckt ()==1:
        stift.hoch()
        stift.bewegeBis(maus.hPosition(),maus.vPosition())
        while maus.istGedrueckt ():
          stift.runter()        
          stift.bewegeBis(maus.hPosition(),maus.vPosition())
         
    stift.gibFrei()
    maus.gibFrei()
    bild.gibFrei()
    tast.gibFrei()
        
# call the "main" function if running this script
# if __name__ == '__main__': main()
